summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVirgil Dupras <vdupras@gentoo.org>2018-10-08 17:19:18 -0400
committerVirgil Dupras <vdupras@gentoo.org>2018-10-08 17:33:42 -0400
commit2d611da6e902d731629439c8be81fd494ff795ca (patch)
tree6305efd08fa71addcccb5133e8b83493d93269a6
parentapp-emulation/simplevirt: initial snapshot import (diff)
downloadgentoo-2d611da6e902d731629439c8be81fd494ff795ca.tar.gz
gentoo-2d611da6e902d731629439c8be81fd494ff795ca.tar.bz2
gentoo-2d611da6e902d731629439c8be81fd494ff795ca.zip
dev-python/pytest-xdist: bump to 1.23.2
I dropped the pytest >= 3.4 constraint because it was a mistake done upstream. This mistake has been fixed in v1.22.5. Removing pytest version constraint will greatly facilitate stabilization... Signed-off-by: Virgil Dupras <vdupras@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
-rw-r--r--dev-python/pytest-xdist/Manifest1
-rw-r--r--dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/dev-python/pytest-xdist/Manifest b/dev-python/pytest-xdist/Manifest
index 12ed6f2e147..25a0e6a9a3c 100644
--- a/dev-python/pytest-xdist/Manifest
+++ b/dev-python/pytest-xdist/Manifest
@@ -1,3 +1,4 @@
DIST pytest-xdist-1.15.0.tar.gz 87799 BLAKE2B 6990137c02f70a4ce466aeb7692cdc66adce09d475ddf31b7997abdeb54e148770fc74ee872e0f86719749705bb28ca7e56181b58f3906326c99d6051bd46fe6 SHA512 6429bd0c85024a2dcb453e4264f06d4a548637c4dcdeabf73d2b78a112ace70ff61cf0849a4845cc70a7650d10a99e5fe1087d3b7dba4b941ec0a771fc9338ed
DIST pytest-xdist-1.20.1.tar.gz 57076 BLAKE2B efac9a0d96b2d4e28b078a7a88ba8df197fc122683d25577cc596f840977f4c116b8c7df1c397e03a50edc400265bae4a8b3900c22da388d0662a71858d7f4ec SHA512 f36e02062e946993bfb9bfaca5aa14c138817f1ad8a8013c5a64b416e91abbfb02502a371c4507c4babb15ac54aca2dce5af4ffe72ed0aa167f670bddabd4b3c
DIST pytest-xdist-1.22.2.tar.gz 57866 BLAKE2B 356f9dccb7d970e6073dc724233013503939d92072c3fab47626e9ed36778ab73499a990a6f50271ae93b82891a09be811843907c18ae64bf93f76510338c29b SHA512 69a0a233fe52ead13cadd46c134c67e4d0fdcd2a77929aea3da2530cd54c283d46c6d416a1450016ba7e9127b30bd85add99b562d9ec0a49bbe1c08b7828df68
+DIST pytest-xdist-1.23.2.tar.gz 59932 BLAKE2B f2cf73914cf095217fb8b472f5e5f7918435c75f8da1694cc7ceb920ac3a7390d84bea93cca558ba26cf3d14a01815374eab9ea03a137a8a9f5dba2f2d4453a8 SHA512 4aae9a6d74e53a29630d0233d0a903d008023e322de726ef7ab7cf4865f428942f96cc65264e19726cb6213264edaa747da2cb6f368989417ba821f2a3f9b654
diff --git a/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild b/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild
new file mode 100644
index 00000000000..3a33e3ed425
--- /dev/null
+++ b/dev-python/pytest-xdist/pytest-xdist-1.23.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy{,3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Distributed testing and loop-on-failing modes"
+HOMEPAGE="https://pypi.org/project/pytest-xdist/ https://github.com/pytest-dev/pytest-xdist"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-fbsd"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/execnet-1.1[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv testing || die "Tests failed under ${EPYTHON}"
+}